using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class OrderFormInfo : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack) 
        {
            bindOrderForm();                      
        }
    }
    
    /// <summary>
    /// 绑定数据
    /// </summary>
    protected void bindOrderForm() 
    {
        if (Request.QueryString["id"] != null && Request.QueryString["id"] != "")
        {
            JY.BLL.OrderForm bll = new JY.BLL.OrderForm();
            JY.Model.OrderForm model = bll.GetModel(Convert.ToInt64(Request.QueryString["id"]));

            lblConsignee.Text = model.Consignee;
            lblCreatDate.Text = model.CreatDate.ToString();
            lblLiveAddress.Text = model.LiveAddress;
            lblOrderFormNo.Text = model.OrderFormNo;
            lblPhone.Text = model.Phone;
            lblProductTotalPrice.Text = model.ProductTotalPrice.ToString();
            lblPurchaser.Text = model.Purchaser;
            lblRemark.Text = model.Remark;
            lblZipCode.Text = model.ZipCode;

            bindOrderFormDetail(model.ID);
        }
    }

    private void bindOrderFormDetail(long OrderFormID)
    {
         JY.BLL.OrderFormDetail bll = new JY.BLL.OrderFormDetail();         

         rptOrderFormDetail.DataSource =  bll.GetList(" IsDelete=0 and OrderFormID="+ OrderFormID + " order by id desc ");
         rptOrderFormDetail.DataBind(); 
    }


    protected string getProductPic(long productID)
    {
        JY.BLL.Product bll = new JY.BLL.Product();
        JY.Model.Product model = bll.GetModel(productID);

        return model.ProductPic;
    }
}
